Bug 734444 - qt: list of trusted CA certificates should not be compiled into library [rhel-6]
Summary: qt: list of trusted CA certificates should not be compiled into library [rhel-6]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qt
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Ngo Than
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 12:22 UTC by Tomas Hoger
Modified: 2012-06-20 07:21 UTC (History)
2 users (show)

Fixed In Version: qt-4.6.2-24.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 521911
Environment:
Last Closed: 2012-06-20 07:21:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0880 normal SHIPPED_LIVE Moderate: qt security and bug fix update 2012-06-19 19:50:56 UTC

Description Tomas Hoger 2011-08-30 12:22:07 UTC
+++ This bug was initially created as a clone of Bug #521911 +++

Description of problem:
List of trusted certificates used by default by QtSslSocket (ca-bundle.crt from sources) is compiled into the QtNetwork.so library, not allowing users to customize list of trusted CAs without re-compiling Qt.

Separate file with trusted certificates provides better manageability, but may better be added upstream.  Preferably, usage of "system" bundle from ca-certificates may be a reasonable default.

Note: Impact of this problem is lowered by the fact that most KDE applications use certificate bundle shipped with kdelibs, provided as separate file.  However, there reportedly are applications that only use Qt's bundle by default:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=530532

According to the bug, Qt had a (broken) support for loading system CA bundle, which was removed in recent Qt version (in between 4.5.2 and 4.5.3, it seems; search path did not include /etc/pki directories used by Fedora).


Steps to Reproduce:
$ strings /usr/lib/libQtNetwork.so.4



At the time Fedora was fixed, the fix was partial and Qt was using both compiled-in CA list as well as system ca-bundle.crt (bug #521911, comment #10).  Looking at current Fedora, libQtNetwork.so no longer contains any compiled-in certificates, so we're hopefully only using system bundle now.  That's the fix we want in RHEL-6 too.

Comment 1 RHEL Product and Program Management 2011-08-30 12:28:39 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 10 Tomas Hoger 2012-02-13 19:33:01 UTC
(In reply to comment #0)
> At the time Fedora was fixed, the fix was partial and Qt was using both
> compiled-in CA list as well as system ca-bundle.crt (bug #521911, comment #10).

My info here was not completely correct.  Compiled-in CA list is only used by Qt if it fails to open system ca-bundle.crt.  That should not normally happen (file is part of ca-certificates packages, which is required by qt, and is world readable).  Lowering priority based on that.

Comment 11 RHEL Product and Program Management 2012-03-22 11:09:40 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 17 errata-xmlrpc 2012-06-20 07:21:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0880.html


Note You need to log in before you can comment on or make changes to this bug.